API Reference for Marketo Engage

Delete Companies

POST /rest/v1/companies/delete.json

Deletes the included list of company records from the destination instance.

Operation ID
deleteCompaniesUsingPOST
Permissions
Read-Write Company
Request format
application/json
Returns
ResponseOfCompany

Request body

application/json · required · DeleteCompanyRequest · 5 properties

deleteBy string

Field to delete company records by. Key may be "dedupeFields" or "idField"

input array of Company

List of company objects. Companies in the list should only contain a member matching the dedupeBy value. Each 'Company' object contains a 'searchableField' for lookup purposes which can be retrieved using the Describe Companies endpoint

Model Company

externalCompanyId string

Unique id of the company record

id integer

Unique integer id of the company record

company string

Unique name of the company record

Responses

200 OK ResponseOfCompany
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of CompanyResponse required

Array of results for individual records in the operation, may be empty

Model CompanyResponse

id integer (int64) required

Unique integer id of the company record

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

seq integer (int32) required

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

status string

Status of the operation performed on the record

Values created updated deleted skipped added removed

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123,
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results